Bug 94463 - [V8] Increment the amount of externally allocated memory for the receiving V8 isolate when transferring ArrayBuffer
Summary: [V8] Increment the amount of externally allocated memory for the receiving V8...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ulan Degenbaev
URL:
Keywords:
Depends on: 92993
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 04:04 PDT by Ulan Degenbaev
Modified: 2012-11-16 05:20 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.90 KB, patch)
2012-11-15 04:53 PST, Ulan Degenbaev
no flags Details | Formatted Diff | Diff
Patch (4.92 KB, patch)
2012-11-15 05:45 PST, Ulan Degenbaev
no flags Details | Formatted Diff | Diff
Patch (4.86 KB, patch)
2012-11-16 04:32 PST, Ulan Degenbaev
no flags Details | Formatted Diff | Diff
Patch (4.91 KB, patch)
2012-11-16 04:36 PST, Ulan Degenbaev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulan Degenbaev 2012-08-20 04:04:06 PDT
Currently we decrease the amount of externally allocated memory for the sending V8 isolate (see bug 92993) but do not increment it for the receiving V8 isolate when transferring array buffers.
Comment 1 Ulan Degenbaev 2012-11-15 04:53:49 PST
Created attachment 174406 [details]
Patch
Comment 2 Ulan Degenbaev 2012-11-15 04:54:49 PST
Ken, could you please take a look?
Comment 3 Ulan Degenbaev 2012-11-15 05:45:01 PST
Created attachment 174414 [details]
Patch
Comment 4 Kenneth Russell 2012-11-15 19:00:12 PST
Comment on attachment 174414 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=174414&action=review

Looks good; r=me. You'll need to submit another patch for this to make it through the commit queue though.

> Source/WebCore/ChangeLog:10
> +        No new tests (OOPS!).

The patch won't pass the commit queue with this OOPS line.
Comment 5 Ulan Degenbaev 2012-11-16 04:32:39 PST
Created attachment 174644 [details]
Patch
Comment 6 Kentaro Hara 2012-11-16 04:33:50 PST
Comment on attachment 174644 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=174644&action=review

> Source/WebCore/ChangeLog:9
> +

You can write:

  Test: ManualTests/typed-array-memory.html
Comment 7 Ulan Degenbaev 2012-11-16 04:36:46 PST
Created attachment 174645 [details]
Patch
Comment 8 Ulan Degenbaev 2012-11-16 04:37:31 PST
Thanks, Ken and Kentaro!

I uploaded new patch set.
Comment 9 WebKit Review Bot 2012-11-16 05:20:32 PST
Comment on attachment 174645 [details]
Patch

Clearing flags on attachment: 174645

Committed r134934: <http://trac.webkit.org/changeset/134934>
Comment 10 WebKit Review Bot 2012-11-16 05:20:36 PST
All reviewed patches have been landed.  Closing bug.